API Documentation
3 Models

Flux Models

Browse all available Flux models in the Text To Image category. Select a model to view its API details and implementation examples.

Flux Pro

API Endpoint

POST
/v1/text-to-image/flux/pro

Request Parameters

enable_safety_checkerboolean
Example:[ true ]
guidance_scaleinteger
Example:[ 7 ]
image_size(Required)
Example:[ { "height": 1024, "width": 1024 } ]
num_inference_stepsinteger
Example:[ 50 ]
prompt(Required)string
Example:[ "a colorful sunset over mountains" ]
seedinteger
Example:[ 42 ]

Code Examples

const apiKey = "YOUR_API_KEY"; fetch("https://api.stockimg.ai/v1/text-to-image/flux/pro", { method: "POST", headers: { "Content-Type": "application/json", "Authorization": `Bearer ${apiKey}` }, body: JSON.stringify({ "enable_safety_checker": true, "guidance_scale": 7, "image_size": { "height": 1024, "width": 1024 }, "num_inference_steps": 50, "prompt": "a colorful sunset over mountains", "seed": 42 }) }) .then(response => response.json()) .then(data => console.log(data)) .catch(error => console.error('Error:', error));

Response Example

{ "enable_safety_checker": true, "guidance_scale": 1, "image_size": "unknown", "num_inference_steps": 1, "prompt": "example string", "seed": 1 }

Response Fields

enable_safety_checkerboolean
guidance_scaleinteger
image_size(Required)
num_inference_stepsinteger
prompt(Required)string
seedinteger